Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.model
Class AbstractResource

    java.lang.Object
      com.sun.jersey.api.model.AbstractResource

All Implemented Interfaces:
  AbstractModelComponent, PathAnnotated

    public class AbstractResource

extends java.lang.Object
implements PathAnnotated, AbstractModelComponent

Abstraction for resource class

Constructor Summary
`AbstractResource(java.lang.Class<?> resourceClass)` Creates a new instance of AbstractResource
`AbstractResource(java.lang.Class<?> resourceClass, PathValue uriPath)` Creates a new instance of AbstractResource

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`java.util.List<AbstractModelComponent>` | `getComponents()`
`java.util.List<AbstractResourceConstructor>` | `getConstructors()`
`java.util.List<AbstractField>` | `getFields()`
`PathValue` | `getPath()`
`java.util.List<java.lang.reflect.Method>` | `getPostConstructMethods()`
`java.util.List<java.lang.reflect.Method>` | `getPreDestroyMethods()`
`java.lang.Class<?>` | `getResourceClass()`
`java.util.List<AbstractResourceMethod>` | `getResourceMethods()` Provides a non-null list of resource methods available on the resource
`java.util.List<AbstractSetterMethod>` | `getSetterMethods()`
`java.util.List<AbstractSubResourceLocator>` | `getSubResourceLocators()` Provides a non-null list of subresource locators available on the resource
`java.util.List<AbstractSubResourceMethod>` | `getSubResourceMethods()` Provides a non-null list of subresource methods available on the resource
`boolean` | `isRootResource()`
`boolean` | `isSubResource()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractResource

    public AbstractResource(java.lang.Class<?> resourceClass)

  Creates a new instance of AbstractResource

### AbstractResource

    public AbstractResource(java.lang.Class<?> resourceClass,
                            PathValue uriPath)

  Creates a new instance of AbstractResource

Method Detail

### getResourceClass

    public java.lang.Class<?> getResourceClass()

### isSubResource

    public boolean isSubResource()

### isRootResource

    public boolean isRootResource()

### getPath

    public PathValue getPath()

  Specified by:
    `getPath` in interface `PathAnnotated`

### getConstructors

    public java.util.List<AbstractResourceConstructor> getConstructors()

### getFields

    public java.util.List<AbstractField> getFields()

### getSetterMethods

    public java.util.List<AbstractSetterMethod> getSetterMethods()

### getResourceMethods

    public java.util.List<AbstractResourceMethod> getResourceMethods()

  Provides a non-null list of resource methods available on the resource

  Returns:
    non-null abstract resource method list

### getSubResourceMethods

    public java.util.List<AbstractSubResourceMethod> getSubResourceMethods()

  Provides a non-null list of subresource methods available on the resource

  Returns:
    non-null abstract subresource method list

### getSubResourceLocators

    public java.util.List<AbstractSubResourceLocator> getSubResourceLocators()

  Provides a non-null list of subresource locators available on the resource

  Returns:
    non-null abstract subresource locator list

### getPostConstructMethods

    public java.util.List<java.lang.reflect.Method> getPostConstructMethods()

  Returns:
    the postCreate

### getPreDestroyMethods

    public java.util.List<java.lang.reflect.Method> getPreDestroyMethods()

  Returns:
    the preDestroy

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getComponents

    public java.util.List<AbstractModelComponent> getComponents()

  Specified by:
    `getComponents` in interface `AbstractModelComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.